Skip to main content
`Ctrl`+`K`

# MatZeroRowsColumnsLocal

Zeros all entries (except possibly the main diagonal) of a set of rows and columns of a matrix; using local numbering of rows.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatZeroRowsColumnsLocal(Mat mat, PetscInt numRows, const PetscInt rows[], PetscScalar diag, Vec x, Vec b)

Collective

## Input Parameters

- mat - the matrix

- numRows - the number of rows to remove

- rows - the global row indices

- diag - value put in all diagonals of eliminated rows

- x - optional vector of solutions for zeroed rows (other entries in vector are not used)

- b - optional vector of right-hand side, that will be adjusted by provided solution

## Notes

Before calling `MatZeroRowsColumnsLocal()`, the user must first set the local-to-global mapping by calling `MatSetLocalToGlobalMapping()`, this is often already set for matrices obtained with `DMCreateMatrix()`.

See `MatZeroRowsColumns()` for details on how this routine operates.

## See Also

Matrices, `Mat`, `MatZeroRowsIS()`, `MatZeroRowsColumns()`, `MatZeroRowsLocalIS()`, `MatZeroRowsStencil()`, `MatZeroEntries()`, `MatZeroRowsLocal()`, `MatSetOption()`, `MatZeroRows()`, `MatZeroRowsColumnsLocalIS()`, `MatZeroRowsColumnsIS()`, `MatZeroRowsColumnsStencil()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages